<?php

namespace Drp\NativeEventApp\GraphQL\Resolvers;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Models\Event;
use Drp\NativeEventApp\Models\Registration;
use GraphQL\Type\Definition\ResolveInfo;
use Nuwave\Lighthouse\Support\Contracts\GraphQLContext;

class RegistrationResolver
{
    public function __invoke(Event $event, array $args, GraphQLContext $context, ResolveInfo $resolveInfo): ?Registration // phpcs:ignore
    {
        return Registration::forEventAndAuthenticatable($event, AuthInfoFinder::current())->first();
    }
}
