<?php

namespace Drp\NativeEventApp\Http\Middleware;

use Closure;
use Drp\NativeEventApp\Models\Registration;
use Drp\NativeEventApp\Scopes\AuthenticatedRegistrationScope;
use Drp\NativeEventApp\Scopes\AuthenticatedUserScope;
use Illuminate\Http\Request;

class ApplyScopes
{
    //phpcs:ignore
    public function handle(Request $request, Closure $next)
    {
        $model = config('native-event-app.auth.model');
        $model::addGlobalScope(new AuthenticatedUserScope);

        Registration::addGlobalScope(new AuthenticatedRegistrationScope);

        return $next($request);
    }
}
