<?php

namespace Drp\NativeEventApp\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Notification as IlluminateNotification;
use NotificationChannels\Fcm\FcmChannel;
use NotificationChannels\Fcm\FcmMessage;
use NotificationChannels\Fcm\Resources\Notification;

class PushNotification extends IlluminateNotification implements ShouldQueue
{
    use Queueable;

    /** @var string */
    protected $title;

    /** @var string */
    protected $message;

    public function __construct(string $title, string $message)
    {
        $this->title = $title;
        $this->message = $message;
    }

    public function toFcm(): FcmMessage
    {
        return FcmMessage::create()
            ->setNotification(
                Notification::create()
                    ->setTitle($this->title)
                    ->setBody($this->message)
            );
    }

    public function via(): array
    {
        return [FcmChannel::class];
    }
}
