<?php
/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Faker\Generator as Faker;
use \Laravel\Passport\Token;

$factory->define(Token::class, static function (Faker $faker): array {
    return [
        'id' => $faker->sha256,
        'user_id' => 1,
        'client_id' => 1,
        'name' => null,
        'scopes' => '["all"]',
        'revoked' => 0,
    ];
});

$factory->state(Token::class, 'active', static function (): array {
    return [
        'revoked' => 0,
    ];
});

$factory->state(Token::class, 'revoked', static function (): array {
    return [
        'revoked' => 1,
    ];
});
