<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventsTable extends TableMigration
{
    public function tableName(): string
    {
        return 'events';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table) {
            $table->increments('id');
            $table->string('title');
            $table->dateTime('startDate');
            $table->dateTime('endDate');
            $table->dateTime('availableUntil')->nullable();
            $table->string('minimumAppVersion');
            $table->boolean('themeId')->nullable();
            $table->string('logo')->nullable();

            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
