<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\Form\FileInput;
use Drp\NativeEventApp\Modules\Types\VRVideo;
use Drp\NativeEventApp\Test\TestCase;

class FileInputTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $fileInput = FileInput::make('test-file-input');

        $serializedModule = json_encode([$fileInput]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(FileInput::class, $module);
        $this->assertEquals('test-file-input', $module->name);
    }

    /** @test */
    public function it_can_set_the_placeholder(): void
    {
        $fileInput = FileInput::make('test-file-input');
        $fileInput->placeholder('Tap to upload a photo');

        $serializedModule = json_encode([$fileInput]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(FileInput::class, $module);
        $this->assertEquals('test-file-input', $module->name);
        $this->assertEquals('Tap to upload a photo', $module->placeholder);
    }
}
