<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\Models\QuizQuestion;
use Drp\NativeEventApp\Quiz\Facades\QuizOperator;
use Drp\NativeEventApp\Test\TestCase;

class QuizQuestionTest extends TestCase
{
    /** @test */
    public function can_start_question()
    {
        QuizOperator::fake();
        $question = factory(QuizQuestion::class)->make();

        $question->operator->start();

        QuizOperator::assertStartQuestionWasTriggered($question->quiz, $question);
    }

    /** @test */
    public function can_end_question()
    {
        QuizOperator::fake();
        $question = factory(QuizQuestion::class)->make();

        $question->operator->end();

        QuizOperator::assertEndQuestionWasTriggered($question->quiz, $question);
    }

    /** @test */
    public function can_reveal_question()
    {
        QuizOperator::fake();
        $question = factory(QuizQuestion::class)->make();

        $question->operator->revealAnswer();

        QuizOperator::assertRevealAnswerWasTriggered($question->quiz, $question);
    }
}
